Page MenuHomePhabricator

Disappearing address info in Civi
Closed, ResolvedPublic1 Estimated Story Points

Description

Hi,

I noticed a few contacts in Civi that used to have address info, but their info seems to have disappeared. Also, "#N/A" now shows as their suffix. I'm not sure how many are impacted but here are a few examples, all of which were imported with the Engage import:

25665687
25665701
25665712
25665549

Event Timeline

LeanneS created this task.Jan 29 2018, 10:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 10:56 PM

@LeanneS can you put a copy on the import on the file system? The first one appears to have been created in the import? I don't see lost address data for that person - but I see 1936472 might be a dupe

Second seems similar - my first guess is the columns were mismatched & the contact_id column not picked up whereas something else mapped to suffix

I am looking at what I've imported recently and it looks like it is just
that file. I'm betting it is as you said mismatched columns. @ LeanneS
I'll update the contacts

@Eileenmcnaughton I just noticed as well that information like the "Do Not email" are marked on those that had a "Y" in the AC flag column so it makes sense that the columns were probably just pushed down one. While the import file appears correct all I can think is that I must have made a change at some point that I later corrected when doing the merges.

@NNichols do you need any help fixing the contacts?

@Eileenmcnaughton I corrected most of them. Let me find some time today to do another once over and manually enter any that I missed initially. I'll get back to you though about maybe helping me make sure I got them all. Will keep you posted!

I've corrected the contacts with the missing addresses. However, @Eileenmcnaughton is there anyway to pull contacts with #N/A as the suffix to just be sure? I couldn't figure out how to search for these contacts.

@NNichols here is a list of contact ids with '#NA' as a suffix - 25 of them.

We should possibly do a clean up on the suffixes that have no related contacts - I will log a follow on issue

MariaDB [civicrm]> select DISTINCT c.id FROM civicrm_option_value ov

-> LEFT JOIN civicrm_contact c ON suffix_id = ov.value
-> WHERE option_group_Id = 7 AND name LIKE '#%' OR label LIKE '#%' ;

+----------+

id

+----------+

25665404
25665434
25665466
25665468
25665474
25665475
25665512
25665550
25665578
25665579
25665580
25665581
25665582
25665583
25665717
25665719
25665721
25665722
25665723
25665725
25665874
25665951
25666061
25666223
25666234
NULL

+----------+
26 rows in set (0.01 sec)

@Eileenmcnaughton Much appreciated! I've removed the #N/A suffix from all of these listed.

@Eileenmcnaughton yes! Thanks again for your help

Eileenmcnaughton closed this task as Resolved.Feb 13 2018, 9:14 PM
Eileenmcnaughton set the point value for this task to 1.Jun 27 2019, 5:50 AM